Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Address

    java.lang.Object
      com.amazonaws.services.ec2.model.Address

    public class Address

extends Object

Constructor Summary
`Address()`

Method Summary
`String` | `getInstanceId()`
`String` | `getPublicIp()`
`void` | `setInstanceId(String instanceId)`
`void` | `setPublicIp(String publicIp)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Address` | `withInstanceId(String instanceId)` Returns a reference to this object so that method calls can be chained together.
`Address` | `withPublicIp(String publicIp)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getInstanceId

    public String getInstanceId()

  Returns:

### setInstanceId

    public void setInstanceId(String instanceId)

  Parameters:
    `instanceId` -

### withInstanceId

    public Address withInstanceId(String instanceId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPublicIp

    public String getPublicIp()

  Returns:

### setPublicIp

    public void setPublicIp(String publicIp)

  Parameters:
    `publicIp` -

### withPublicIp

    public Address withPublicIp(String publicIp)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicIp` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.